summaryrefslogtreecommitdiff
path: root/dev-ruby/arel-helpers
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
commit8ddb1a3d1229412a438971f82d37d518a0223726 (patch)
tree83438b5ddb9d23a390f1a3fc505303d3d2223bf2 /dev-ruby/arel-helpers
parent9acab46e1a820daece7b2e631485c157ce2210ad (diff)
downloadbaldeagleos-repo-21.1.5.tar.gz
baldeagleos-repo-21.1.5.tar.xz
baldeagleos-repo-21.1.5.zip
Adding metadatav21.1.5
Diffstat (limited to 'dev-ruby/arel-helpers')
-rw-r--r--dev-ruby/arel-helpers/Manifest1
-rw-r--r--dev-ruby/arel-helpers/arel-helpers-2.12.0.ebuild38
-rw-r--r--dev-ruby/arel-helpers/metadata.xml19
3 files changed, 49 insertions, 9 deletions
diff --git a/dev-ruby/arel-helpers/Manifest b/dev-ruby/arel-helpers/Manifest
index 55840b87454e..d9ab3a5810fb 100644
--- a/dev-ruby/arel-helpers/Manifest
+++ b/dev-ruby/arel-helpers/Manifest
@@ -1 +1,2 @@
DIST arel-helpers-2.11.0.gem 12800 BLAKE2B 7e7008049a87e323e6f7919e6104f8ac2bfe5d7ac096557a72a0baec35890721d83f021c62e431ec441aaa6ce7314f312f0ce8b8889da7691a4ba43f09ebbcc7 SHA512 06426cfa8b77ce875af2daddfa6cfe96339fa462718ba1ab7a0f9f759c16ace03aff4c6f0cc6c3fc165df2f55ff024f67247e652cc3cf4c39d07468ae7080445
+DIST arel-helpers-2.12.0.gem 21504 BLAKE2B f2897b70e679df8a58ace7b88204a3345a2f22bedcaf13ef27f4176a5f02a716e9c7a0b09c3d242c8bef96cc6423a513820d20b15999415d99eb3d61b3b93889 SHA512 6da9d69b49d18f70dd911a5f1cf6edb29055423b6179858ae65f8f826f9c98fae7b9d4a7d6f1365c5efe382adbaeb42f30898c2329b721941428b0a6f58b3aef
diff --git a/dev-ruby/arel-helpers/arel-helpers-2.12.0.ebuild b/dev-ruby/arel-helpers/arel-helpers-2.12.0.ebuild
new file mode 100644
index 000000000000..90fe06a86ca9
--- /dev/null
+++ b/dev-ruby/arel-helpers/arel-helpers-2.12.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Tools to help construct database queries"
+HOMEPAGE="https://github.com/camertron/arel-helpers"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+ruby_add_rdepend "|| (
+ dev-ruby/activerecord:6.1
+ dev-ruby/activerecord:6.0
+ dev-ruby/activerecord:5.2
+ )"
+
+ruby_add_bdepend "test? (
+ dev-ruby/rr
+ dev-ruby/activerecord[sqlite]
+ dev-ruby/bundler
+)"
+
+all_ruby_prepare() {
+ sed -i -e '/pry-/ s:^:#:' spec/spec_helper.rb || die
+ sed -e '/rake/ s/~>/>=/' -e '/appraisal/ s:^:#:' -e '/database_cleaner/ s/1.8/1.7/' -i arel-helpers.gemspec || die
+}
+
+each_ruby_test() {
+ bundle exec rspec spec || die
+}
diff --git a/dev-ruby/arel-helpers/metadata.xml b/dev-ruby/arel-helpers/metadata.xml
index 3881c6a5c962..bd4dc07d1ca1 100644
--- a/dev-ruby/arel-helpers/metadata.xml
+++ b/dev-ruby/arel-helpers/metadata.xml
@@ -1,11 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>zerochaos@gentoo.org</email>
- <name>Rick Farina</name>
- </maintainer>
- <upstream>
- <remote-id type="github">camertron/arel-helpers</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="person">
+ <email>zerochaos@gentoo.org</email>
+ <name>Rick Farina</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">camertron/arel-helpers</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file